function [out]=Maxx(out1,out2,out3,out4,out5,out6,out7,out8)
NO=zeros(1,4);
if out1==out8
    NO(1)=1;
end

if out2==out7
    NO(2)=1;
end

if out3==out6
    NO(3)=1;
end
if out4==out5
    NO(4)=1;
end

out=sum(NO);

